summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2016-12-21 11:47:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-24 07:33:38 +0700
commitf0df813362ee5f9e0843d15d1c264d3520f11ee5 (patch)
tree56e0d5621a295b2d18ee99861a2d29aae2c344d6 /development
parent51bf41004963622fdcdaf5f0cb890c2bca7b6bc3 (diff)
downloadslackbuilds-f0df813362ee5f9e0843d15d1c264d3520f11ee5.tar.gz
slackbuilds-f0df813362ee5f9e0843d15d1c264d3520f11ee5.tar.xz
development/eclim: Added (Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/eclim/README17
-rw-r--r--development/eclim/eclim.SlackBuild133
-rw-r--r--development/eclim/eclim.info12
-rw-r--r--development/eclim/slack-desc19
4 files changed, 181 insertions, 0 deletions
diff --git a/development/eclim/README b/development/eclim/README
new file mode 100644
index 0000000000..6b3005b4b0
--- /dev/null
+++ b/development/eclim/README
@@ -0,0 +1,17 @@
+eclim - The power of Eclipse in your favorite editor.
+
+Eclim provides the ability to access Eclipse code editing features via the
+command line or a local network connection, allowing those features to be
+integrated with your favorite editor.
+
+This package builds against eclipse-java, but can also be built against
+eclipse-jee or eclipse-cpp instead. In that case, pass the eclipse home
+directory to the script:
+
+ECLIPSE_HOME=/opt/eclipse-jee ./eclim.SlackBuild
+
+or
+
+ECLIPSE_HOME=/opt/eclipse-cpp ./eclim.SlackBuild
+
+apache-ant and Sphinx are only needed at build-time, not runtime. \ No newline at end of file
diff --git a/development/eclim/eclim.SlackBuild b/development/eclim/eclim.SlackBuild
new file mode 100644
index 0000000000..ae479f22d4
--- /dev/null
+++ b/development/eclim/eclim.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for eclim
+
+# Copyright 2016 Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=eclim
+VERSION=${VERSION:-2.6.0}
+BUILD=${BUILD:-4}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$PRGNAM"_"$VERSION"
+tar xvf $CWD/"$PRGNAM"_"$VERSION".tar.gz
+cd $"$PRGNAM"_"$VERSION"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# http://eclim.org/install.html#install-source
+(
+ # rebuild nailgun
+ cd org.eclim/nailgun
+
+ chmod +x configure
+ sed -i 's/ -s -O3//' Makefile.in
+
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure
+
+ make
+
+ find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+chmod +x bin/sphinx
+
+# allow building with root - eek
+sed -i "s/'root'/'dummy'/g" ant/build.gant
+
+# eclim fails to build with ant-1.9.7 on slackbuilds.org
+# revert gant jar to fix
+# https://github.com/ervandew/eclim/issues/330
+rm -f ant/lib/gant-1.9.11-patched.jar
+cp $CWD/gant_groovy2.2-1.9.11.jar ant/lib
+
+sed -i '/useCache=/d' build.xml
+sed -i '/cacheDir=/d' build.xml
+
+ECLIPSE_HOME=${ECLIPSE_HOME:-/opt/eclipse-java}
+ECLIPSE_HOME=${ECLIPSE_HOME%/}
+
+ant build -Declipse.home=$ECLIPSE_HOME -Dvim.files=/usr/share/vim/vimfiles
+
+mkdir -p $PKG/usr/share/vim/vimfiles
+
+ant docs vimdocs -Declipse.home=$ECLIPSE_HOME -Dvim.files=$PKG/usr/share/vim/vimfiles
+
+mkdir -p $PKG$ECLIPSE_HOME
+
+ant deploy.eclipse -Declipse.home=$PKG$ECLIPSE_HOME -Dvim.files=$PKG/usr/share/vim/vimfiles
+
+# tidy up
+sed -i "s#$PKG##" $PKG$ECLIPSE_HOME/plugins/org.eclim_$VERSION/bin/eclimd $PKG$ECLIPSE_HOME/plugins/org.eclim_$VERSION/plugin.properties
+sed -i "s#\${eclipse.home}#$ECLIPSE_HOME#" $PKG$ECLIPSE_HOME/plugins/org.eclim_$VERSION/bin/native/linux/eclimd $PKG$ECLIPSE_HOME/plugins/org.eclim_$VERSION/bin/native/linux/eclimd.desktop
+find $PKG$ECLIPSE_HOME/plugins/org.eclim_$VERSION/nailgun \! -name ng -mindepth 1 -print0 | xargs -0 rm -rf
+rm -rf build/doc/site/.doctrees
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ build/doc/site \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/eclim/eclim.info b/development/eclim/eclim.info
new file mode 100644
index 0000000000..45aa4a0028
--- /dev/null
+++ b/development/eclim/eclim.info
@@ -0,0 +1,12 @@
+PRGNAM="eclim"
+VERSION="2.6.0"
+HOMEPAGE="http://eclim.org"
+DOWNLOAD="https://github.com/ervandew/eclim/releases/download/2.6.0/eclim_2.6.0.tar.gz \
+ http://central.maven.org/maven2/org/codehaus/gant/gant_groovy2.2/1.9.11/gant_groovy2.2-1.9.11.jar"
+MD5SUM="74557a1d0c2fb22ec7ae46e7ad200e49 \
+ 557e401f2e4633ed6ebdab582fb16921"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="apache-ant eclipse-java Sphinx"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/development/eclim/slack-desc b/development/eclim/slack-desc
new file mode 100644
index 0000000000..8bc8bed87a
--- /dev/null
+++ b/development/eclim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eclim: eclim (The power of Eclipse in your favorite editor.)
+eclim:
+eclim: Eclim provides the ability to access Eclipse code editing features
+eclim: (code completion, searching, code validation, and many more) via the
+eclim: command line or a local network connection, allowing those features
+eclim: to be integrated with your favorite editor.
+eclim:
+eclim:
+eclim:
+eclim: http://eclim.org/
+eclim: